[Snort-users] Re: on snort crash duty tonight?

Dragos Ruiu dr at ...50...
Wed Aug 23 17:29:18 EDT 2000


We've seen this crash before. There has been reported some success 
compiling using the options below when faced with this:

CFLAGS=-I/usr/local/include make

or simply add -I/usr/local/include to the compile options in the
makefile. If it doesn't work try with other include directories (eg
/opt/<whatever>/include)

Another alternative may be to use the sun compilers.
Let me know if that helps....

cheers,
--dr


On Wed, 23 Aug 2000, you wrote:
> Hi Dragos
> 
> couple of reasons I'm emailing you directly.
> 
> first,
> you [among others] should have received email forwarded from Marty
> from me by now.  
> second 
> you responded with "... I seem to be on snort crash duty tonight..."
> 
> I downloaded version 1.6 in May.  It configured,
> and made perfectly on my sparc 5 running solaris 2.6 Generic_105181-19 
> and using gcc version 2.95.2 19991024 (release).  and for that matter,
> the 'make clean; make;' worked just now.   
> 
> Because I wanted to start modifying snort using
> the latest available source code:
> 
> I just downloaded version 1.6.3, and while the configure seems to work,
> the make no longer does.  The log file produced by configure is quite
> a bit differnt too.  
> 
> follows is the output from the make.
> 
> sparky:/opt/snort/snort-1.6.3=> make
> gcc -DHAVE_CONFIG_H -I. -I. -I.   -I/usr/include  -g -O2 -Wall  -c snort.c
> snort.c: In function `PrintFmtError':
> snort.c:1854: `__builtin_va_alist' undeclared (first use in this function)
> snort.c:1854: (Each undeclared identifier is reported only once
> snort.c:1854: for each function it appears in.)
> snort.c:1852: warning: `ap' might be used uninitialized in this function
> snort.c: In function `ErrorMessage':
> snort.c:1888: `__builtin_va_alist' undeclared (first use in this function)
> snort.c:1886: warning: `ap' might be used uninitialized in this function
> snort.c: In function `FatalError':
> snort.c:1919: `__builtin_va_alist' undeclared (first use in this function)
> snort.c:1917: warning: `ap' might be used uninitialized in this function
> make: *** [snort.o] Error 1
> sparky:/opt/snort/snort-1.6.3=> 
> 
> As far as I know I'm not doing anything differnt in 1.6 and it still makes
> just fine.  the libpcap library is just above both versions of snort.
> and nothing else has changed.  any suggestions?
> 
> thanks
> 
> b;)
-- 
dursec.com ltd. / kyx.net - we're from the future
pgp fingerprint: 18C7 E37C 2F94 E251 F18E  B7DC 2B71 A73E D2E8 A56D 
pgp key: http://www.dursec.com/drkey.asc



More information about the Snort-users mailing list